import partial from 'lodash.partial';
import { shouldProduceEvent } from './should-produce-event';
import { shouldThrow } from './should-throw';
import { withSecretsManager } from './with-secrets-manager';
export var as = function as(context, authToken) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Authorization token cannot be assigned if the test was executed.");
  }

  environment.setAuthToken(authToken);
  return Object.assign(environment.promise, {
    shouldProduceEvent: partial(shouldProduceEvent, context),
    shouldThrow: partial(shouldThrow, context),
    withSecretsManager: partial(withSecretsManager, context)
  });
};
//# sourceMappingURL=as.js.map