"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.allowSideEffects = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _withAdapter = require("./with-adapter");

var _withEncryption = require("./with-encryption");

var _withSecretsManager = require("./with-secrets-manager");

var _startSideEffectsFrom = require("./start-side-effects-from");

var _makeAssertions = require("./make-assertions");

var allowSideEffects = function allowSideEffects(context) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Side effects cannot be allowed if the test was executed.");
  }

  environment.allowSideEffects();
  return Object.assign((0, _makeAssertions.makeAssertions)(context), {
    withAdapter: (0, _lodash["default"])(_withAdapter.withAdapter, context),
    withEncryption: (0, _lodash["default"])(_withEncryption.withEncryption, context),
    withSecretsManager: (0, _lodash["default"])(_withSecretsManager.withSecretsManager, context),
    startSideEffectsFrom: (0, _lodash["default"])(_startSideEffectsFrom.startSideEffectsFrom, context)
  });
};

exports.allowSideEffects = allowSideEffects;
//# sourceMappingURL=allow-side-effects.js.map